FreeMat

- Main Page
- Related Pages

vtkEdgeLayout

Section: Visualization Toolkit Infovis Classes

# Usage

This class is a shell for many edge layout strategies which may be set using the SetLayoutStrategy() function. The layout strategies do the actual work.

To create an instance of class vtkEdgeLayout, simply invoke its constructor as follows

      obj = vtkEdgeLayout

# Methods

The class vtkEdgeLayout has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkEdgeLayout class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkEdgeLayout = obj.NewInstance ()`
- `vtkEdgeLayout = obj.SafeDownCast (vtkObject o)`
- `obj.SetLayoutStrategy (vtkEdgeLayoutStrategy strategy)` - The layout strategy to use during graph layout.
- `vtkEdgeLayoutStrategy = obj.GetLayoutStrategy ()` - The layout strategy to use during graph layout.
- `long = obj.GetMTime ()` - Get the modification time of the layout algorithm.